#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x29500fd, "param_ops_int" },
	{ 0x1891eef4, "v4l2_event_subdev_unsubscribe" },
	{ 0x68541c57, "i2c_del_driver" },
	{ 0xc8dbe42, "i2c_register_driver" },
	{ 0xcf19bba2, "devm_request_threaded_irq" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x265f20c0, "v4l2_async_register_subdev" },
	{ 0xb011cc2a, "cec_allocate_adapter" },
	{ 0x5cb795a6, "v4l2_ctrl_handler_setup" },
	{ 0x95cbdc5, "media_entity_pads_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3a529358, "i2c_new_dummy_device" },
	{ 0x9d98eefc, "i2c_new_ancillary_device" },
	{ 0x580ecbcc, "v4l2_ctrl_new_custom" },
	{ 0xfc2d8aa6, "v4l2_ctrl_new_std_menu" },
	{ 0xcee7a150, "v4l2_ctrl_new_std" },
	{ 0x878a11b9, "v4l2_ctrl_handler_init_class" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f769d04, "v4l2_i2c_subdev_init" },
	{ 0x12a38747, "usleep_range" },
	{ 0x65eca458, "devm_gpiod_get_optional" },
	{ 0xb9ebb940, "devm_gpiod_get_index_optional" },
	{ 0x8fb686e8, "devm_kmalloc" },
	{ 0x79b09665, "cec_received_msg_ts" },
	{ 0x7ce65e66, "cec_transmit_done_ts" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf56238f4, "v4l2_find_dv_timings_cea861_vic" },
	{ 0x8402862, "v4l2_print_dv_timings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1a3f22a, "cec_s_phys_addr" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2bf67def, "v4l2_calc_aspect_ratio" },
	{ 0x7b6ac78f, "v4l2_phys_addr_validate" },
	{ 0x8f8d4341, "v4l2_get_edid_phys_addr" },
	{ 0xd0161cd, "v4l2_subdev_notify_event" },
	{ 0xf9a482f9, "msleep" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xd93edb5a, "__v4l2_ctrl_s_ctrl" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xb8873c1b, "__devm_regmap_init_i2c" },
	{ 0xf681acfc, "hdmi_infoframe_unpack" },
	{ 0xb10ea284, "hdmi_infoframe_log" },
	{ 0x5bd3e4ca, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0xb3da9509, "v4l2_src_change_event_subdev_subscribe" },
	{ 0x1612c0b, "v4l2_detect_gtf" },
	{ 0xa97e00eb, "v4l2_detect_cvt" },
	{ 0xaf3d134, "v4l2_valid_dv_timings" },
	{ 0x370cfe6e, "v4l2_dv_timings_presets" },
	{ 0x3aa68d7a, "v4l2_find_dv_timings_cap" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x922ecd29, "v4l2_enum_dv_timings_cap" },
	{ 0x519a87b6, "cec_delete_adapter" },
	{ 0x5404e57e, "cec_register_adapter" },
	{ 0xd45e56be, "cec_unregister_adapter" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xa6d61bc4, "gpiod_set_value_cansleep" },
	{ 0x801c3d3b, "regmap_raw_write" },
	{ 0xebc7f516, "v4l2_ctrl_handler_free" },
	{ 0xacee6bc9, "i2c_unregister_device" },
	{ 0x543924fe, "v4l2_async_unregister_subdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6659ed2b, "regmap_write" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc5850110, "printk" },
	{ 0x76806859, "regmap_read" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,cec,mc,v4l2-common,v4l2-dv-timings";

MODULE_ALIAS("of:N*T*Cadi,adv7611");
MODULE_ALIAS("of:N*T*Cadi,adv7611C*");
MODULE_ALIAS("of:N*T*Cadi,adv7612");
MODULE_ALIAS("of:N*T*Cadi,adv7612C*");
MODULE_ALIAS("i2c:adv7604");
MODULE_ALIAS("i2c:adv7611");
MODULE_ALIAS("i2c:adv7612");

MODULE_INFO(srcversion, "C041A2BB4A09F06E04A263C");

MODULE_INFO(suserelease, "SLE15-SP3");
