#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x49f3c7e8, "vb2_fop_release" },
	{ 0x2c10e9db, "v4l2_fh_open" },
	{ 0x95368e25, "vb2_fop_mmap" },
	{ 0x956cf531, "video_ioctl2" },
	{ 0xc0dc9b8d, "vb2_fop_poll" },
	{ 0xd4f680ba, "vb2_fop_read" },
	{ 0x14376d97, "vb2_ops_wait_finish" },
	{ 0xf64842fa, "vb2_ops_wait_prepare" },
	{ 0xc07dddad, "vb2_ioctl_streamoff" },
	{ 0xa3bbe868, "vb2_ioctl_streamon" },
	{ 0xa2cea96c, "vb2_ioctl_prepare_buf" },
	{ 0xac4dac92, "vb2_ioctl_create_bufs" },
	{ 0xdbbf8a64, "vb2_ioctl_dqbuf" },
	{ 0x16f0237c, "vb2_ioctl_qbuf" },
	{ 0xa763b699, "vb2_ioctl_querybuf" },
	{ 0x8abd3ce8, "vb2_ioctl_reqbufs" },
	{ 0x68541c57, "i2c_del_driver" },
	{ 0xc8dbe42, "i2c_register_driver" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0x1898f2eb, "__video_register_device" },
	{ 0xb3ae77c4, "devm_nvmem_register" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x40723b6c, "__pm_runtime_use_autosuspend" },
	{ 0xe6426907, "pm_runtime_set_autosuspend_delay" },
	{ 0x1f1ca770, "pm_runtime_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf31f7416, "vb2_queue_init" },
	{ 0xa53cf319, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xa7214e97, "v4l2_device_register" },
	{ 0x69aca068, "__regmap_init_i2c" },
	{ 0x4d96a079, "device_get_match_data" },
	{ 0xdbec44cb, "dev_fwnode" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x399409a7, "video_unregister_device" },
	{ 0x25e799e6, "__pm_runtime_set_status" },
	{ 0xc0319246, "__pm_runtime_disable" },
	{ 0x9e653cae, "wake_up_process" },
	{ 0x7a72fff, "kthread_create_on_node" },
	{ 0x43fe1e6b, "__pm_runtime_resume" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6659ed2b, "regmap_write" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x129e0474, "freezing_slow_path" },
	{ 0x6f1fe934, "current_task" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0x4ae3c1f0, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x149deeb7, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x708a8155, "kthread_stop" },
	{ 0xf9e10a4f, "vb2_buffer_done" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2e7cd7c8, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x81518e45, "regmap_exit" },
	{ 0xab9bf254, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9b048b8a, "devm_hwmon_device_register_with_info" },
	{ 0xa8c66b51, "regmap_get_device" },
	{ 0xa055a62d, "regmap_update_bits_base" },
	{ 0xa832ec67, "regmap_bulk_read" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "SLE15-SP3");
