#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x329d38db, "noop_llseek" },
	{ 0xa9b1ce08, "param_ops_bool" },
	{ 0x29500fd, "param_ops_int" },
	{ 0xd5a9fca9, "usb_deregister" },
	{ 0x61b4656d, "usb_register_driver" },
	{ 0xdf1041ec, "rc_keyup" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9dce09d1, "rc_keydown" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x89e1619c, "rc_free_device" },
	{ 0xde29e86d, "input_free_device" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0x3a9ba330, "usb_register_dev" },
	{ 0x6fdab121, "sysfs_create_group" },
	{ 0x5268eab6, "input_set_abs_params" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe2601a3c, "rc_register_device" },
	{ 0x66541123, "rc_allocate_device" },
	{ 0x2543f1b8, "input_register_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x445f663a, "input_allocate_device" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xad5c584f, "usb_alloc_urb" },
	{ 0x3747bf63, "usb_ifnum_to_if" },
	{ 0xdb76530, "usb_get_dev" },
	{ 0xda464bf9, "input_event" },
	{ 0x318d6fec, "mutex_is_locked" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0x59f232b5, "usb_free_urb" },
	{ 0x80fb3130, "usb_deregister_dev" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x911ee21e, "rc_unregister_device" },
	{ 0x9818b4fb, "input_unregister_device" },
	{ 0xa35373cf, "usb_put_dev" },
	{ 0xea9c44c1, "sysfs_remove_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0xdd64e639, "strscpy" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0x262e823a, "wait_for_completion_interruptible" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6f1fe934, "current_task" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc5850110, "printk" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xbae03500, "usb_find_interface" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x29361773, "complete" },
	{ 0x426f8727, "usb_kill_urb" },
	{ 0x4ab0238e, "rc_g_keycode_from_table" },
	{ 0x1715f870, "usb_submit_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F3B6BBB89337C1129902B18");

MODULE_INFO(suserelease, "SLE15-SP3");
