#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x29500fd, "param_ops_int" },
	{ 0x956cf531, "video_ioctl2" },
	{ 0x22baf19b, "v4l2_event_unsubscribe" },
	{ 0x6a554c50, "v4l2_ctrl_subscribe_event" },
	{ 0x8e9e386a, "v4l2_ctrl_log_status" },
	{ 0xd5a9fca9, "usb_deregister" },
	{ 0x61b4656d, "usb_register_driver" },
	{ 0x1898f2eb, "__video_register_device" },
	{ 0x52b5eeed, "videobuf_queue_vmalloc_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf117fb5b, "video_device_release_empty" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xcee7a150, "v4l2_ctrl_new_std" },
	{ 0x878a11b9, "v4l2_ctrl_handler_init_class" },
	{ 0xa7214e97, "v4l2_device_register" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0x5acb77df, "videobuf_read_one" },
	{ 0xbda6530e, "videobuf_streamon" },
	{ 0x5cb795a6, "v4l2_ctrl_handler_setup" },
	{ 0xef290b5b, "videobuf_queue_is_busy" },
	{ 0x7e6e0886, "v4l2_fh_release" },
	{ 0xd1d30fda, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cb86144, "videobuf_mmap_mapper" },
	{ 0xde575e93, "videobuf_iolock" },
	{ 0xa1163a05, "videobuf_vmalloc_free" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x5b67ed85, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xab9bf254, "v4l2_device_unregister" },
	{ 0xebc7f516, "v4l2_ctrl_handler_free" },
	{ 0xc9733d94, "videobuf_mmap_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0xac9c4dd7, "videobuf_poll_stream" },
	{ 0x441e7d78, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2c10e9db, "v4l2_fh_open" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x6881855, "videobuf_reqbufs" },
	{ 0x20d63d3f, "videobuf_querybuf" },
	{ 0x22c0eef7, "videobuf_qbuf" },
	{ 0x4ba1e604, "videobuf_dqbuf" },
	{ 0xa6dab6c0, "videobuf_streamoff" },
	{ 0x2e7cd7c8, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1acd2e72, "v4l2_device_put" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x8b467030, "v4l2_device_disconnect" },
	{ 0x399409a7, "video_unregister_device" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x426f8727, "usb_kill_urb" },
	{ 0x59f232b5, "usb_free_urb" },
	{ 0x1715f870, "usb_submit_urb" },
	{ 0xad5c584f, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6A72DB773A4957F659C381");

MODULE_INFO(suserelease, "SLE15-SP3");
