#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0xc7ae5e4b, "snd_hdac_regmap_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x22d6785c, "snd_hda_gen_free" },
	{ 0x1cf26af4, "snd_hda_mixer_amp_volume_put" },
	{ 0x48a3a9e1, "snd_hdac_codec_read" },
	{ 0x736a7cd0, "snd_hda_enum_helper_info" },
	{ 0x11167c4b, "snd_hda_gen_parse_auto_config" },
	{ 0x4fe02baf, "snd_hda_add_verbs" },
	{ 0xcfb30c77, "snd_hda_apply_fixup" },
	{ 0x36438ec3, "snd_hda_pick_fixup" },
	{ 0x782ecf34, "snd_hda_mixer_amp_tlv" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x242cb101, "snd_hda_gen_build_pcms" },
	{ 0xf5165a8b, "snd_hda_override_conn_list" },
	{ 0xd3b1a2e7, "snd_hda_check_amp_list_power" },
	{ 0x3203c1eb, "snd_hda_jack_unsol_event" },
	{ 0xab0d4960, "snd_hda_codec_set_pincfg" },
	{ 0x2ffbcebc, "snd_hda_mixer_amp_switch_put" },
	{ 0xd31f1795, "snd_hda_mixer_amp_volume_get" },
	{ 0xa869763, "snd_hda_codec_set_name" },
	{ 0xe016b3dd, "snd_hda_mixer_amp_switch_get" },
	{ 0xe1da2c71, "snd_hda_gen_init" },
	{ 0x6d26385f, "snd_hda_parse_pin_defcfg" },
	{ 0x3965f8a4, "__hda_codec_driver_register" },
	{ 0x6889fad, "snd_hda_override_amp_caps" },
	{ 0x98e5bb47, "snd_ctl_boolean_mono_info" },
	{ 0xb03eac0d, "snd_hda_get_bool_hint" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x83669d75, "_snd_hdac_read_parm" },
	{ 0xbf8af7a1, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x14130f5, "snd_hda_gen_add_kctl" },
	{ 0x4894a3e0, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x13aeef1b, "snd_hdac_codec_write" },
	{ 0xa77e3da9, "snd_hda_codec_get_pincfg" },
	{ 0x864b5bd3, "hda_codec_driver_unregister" },
	{ 0xfd5d3126, "snd_hda_mixer_amp_switch_info" },
	{ 0xf31a4220, "snd_hda_gen_spec_init" },
	{ 0x5df4ca39, "snd_hdac_regmap_read_raw" },
	{ 0xce54956e, "snd_hda_mixer_amp_volume_info" },
	{ 0xeaa6c8f2, "snd_hda_gen_build_controls" },
	{ 0x431e6ebf, "snd_hda_get_connections" },
	{ 0xe0e742b3, "snd_hda_shutup_pins" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-core,snd-hda-codec-generic,snd-hda-codec,snd";

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "347D9DD4D4FAA221E018E9F");

MODULE_INFO(suserelease, "SLE15-SP3");
