#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8c639ac, "snd_soc_dai_active" },
	{ 0x1d19bfd3, "snd_soc_dapm_get_enum_double" },
	{ 0x68541c57, "i2c_del_driver" },
	{ 0xe997a656, "snd_soc_dapm_get_volsw" },
	{ 0xa055a62d, "regmap_update_bits_base" },
	{ 0x19580ad7, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0xe41bb31b, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xeab86dd3, "snd_soc_component_update_bits" },
	{ 0x3e193cc9, "snd_soc_put_volsw" },
	{ 0x76806859, "regmap_read" },
	{ 0xd3a0e8f6, "snd_soc_get_volsw" },
	{ 0xbcf25c63, "snd_soc_info_enum_double" },
	{ 0x89d8f444, "acpi_match_device" },
	{ 0xfc3f72d5, "snd_soc_dapm_add_routes" },
	{ 0xa016e2f5, "snd_soc_put_volsw_range" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0xb127452a, "snd_soc_add_component_controls" },
	{ 0x2eaf0595, "snd_soc_info_volsw_range" },
	{ 0x26cd63f6, "snd_soc_bytes_info" },
	{ 0x2c592930, "snd_soc_dapm_put_volsw" },
	{ 0xe80fccf7, "snd_soc_get_volsw_range" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0xa00b1008, "snd_soc_info_volsw" },
	{ 0xc8dbe42, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0xbc43c687, "snd_soc_get_enum_double" },
	{ 0x34eb9b96, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb8873c1b, "__devm_regmap_init_i2c" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xeb52f88, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb83ba3fd, "devm_snd_soc_register_component" },
	{ 0x302d88f2, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4121eb7, "devm_clk_get" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x41ac1c90, "regcache_mark_dirty" },
	{ 0xf45ae885, "snd_soc_put_enum_double" },
	{ 0x98ec131c, "snd_soc_bytes_get" },
	{ 0xccc421f3, "snd_soc_component_read" },
	{ 0x7763b34f, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2911bf37, "snd_soc_jack_report" },
	{ 0x8fb686e8, "devm_kmalloc" },
	{ 0xcf19bba2, "devm_request_threaded_irq" },
	{ 0x6659ed2b, "regmap_write" },
	{ 0x9203cf18, "regcache_sync" },
	{ 0x949db383, "is_acpi_device_node" },
	{ 0xba308e0c, "regcache_cache_only" },
	{ 0xf1f4b949, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "5EB065F009E4EAC80CC58C9");

MODULE_INFO(suserelease, "SLE15-SP3");
