#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x9321de0c, "crypto_alloc_skcipher" },
	{ 0x234c75a3, "cdev_del" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0xe92464c8, "pci_bus_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x951c5274, "cdev_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0x53b954a2, "up_read" },
	{ 0x69f4df6f, "pci_enable_sriov" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xae48db2f, "pci_write_config_word" },
	{ 0x3ab9760e, "debugfs_create_dir" },
	{ 0x4a837b49, "crypto_alloc_shash" },
	{ 0x7e57475d, "crypto_register_akcipher" },
	{ 0x754d539c, "strlen" },
	{ 0xf4db2ade, "crypto_unregister_skciphers" },
	{ 0xbf776f0e, "seq_open" },
	{ 0x461d16ca, "sg_nents" },
	{ 0x95ea477, "seq_puts" },
	{ 0x2f278c6d, "boot_cpu_data" },
	{ 0xb8cc1c2f, "pci_disable_msix" },
	{ 0x47939e0d, "__tasklet_hi_schedule" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xdb439c7a, "pci_disable_sriov" },
	{ 0xc0a3d105, "find_next_bit" },
	{ 0x27197ca, "seq_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3494f2ec, "device_destroy" },
	{ 0x65f72d33, "crypto_register_kpp" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc29957c3, "__x86_indirect_thunk_rcx" },
	{ 0x87b8798d, "sg_next" },
	{ 0xd648911b, "cpu_info" },
	{ 0x7665ee72, "crypto_dh_decode_key" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc6335955, "dma_free_attrs" },
	{ 0xdae86228, "debugfs_create_file" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x845dbf3b, "scatterwalk_map_and_copy" },
	{ 0x1e8b904d, "seq_read" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb44ad4b3, "_copy_to_user" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0xfb578fc5, "memset" },
	{ 0x8c0a8f6e, "pci_enable_pcie_error_reporting" },
	{ 0x646e720f, "pci_restore_state" },
	{ 0x5f91646f, "crypto_register_skciphers" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7dcb28f9, "crypto_shash_update" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcd5a35e2, "crypto_shash_digest" },
	{ 0x9166fada, "strncpy" },
	{ 0x5a921311, "strncmp" },
	{ 0x4c635068, "pcie_flr" },
	{ 0x597b13e0, "pci_read_config_word" },
	{ 0x45575e2c, "debugfs_remove" },
	{ 0x5792f848, "strlcpy" },
	{ 0x2e5739f2, "dma_alloc_attrs" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1bb0951b, "pci_wait_for_pending_transaction" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x1f80fa08, "device_create" },
	{ 0xa0b685b4, "crypto_unregister_akcipher" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xce807a25, "up_write" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0x57bc19d2, "down_write" },
	{ 0x68255d7f, "pci_enable_msi" },
	{ 0x82072614, "tasklet_kill" },
	{ 0x10e0c2d2, "cdev_add" },
	{ 0x9eaed92d, "compat_ptr_ioctl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x49bf514e, "module_put" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xca10f863, "kmem_cache_alloc_node_trace" },
	{ 0x81efa38d, "iommu_present" },
	{ 0x4b569350, "pci_enable_msix_range" },
	{ 0x12a38747, "usleep_range" },
	{ 0x67c8b04a, "crypto_skcipher_decrypt" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb8b9f817, "kmalloc_order_trace" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x7927a6fd, "dma_map_page_attrs" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2249963d, "pci_read_config_dword" },
	{ 0x2d37d9a6, "crypto_destroy_tfm" },
	{ 0xbaa99ed0, "crypto_unregister_aeads" },
	{ 0x93d68936, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x3e431a92, "pci_disable_pcie_error_reporting" },
	{ 0x7b82ebe4, "seq_lseek" },
	{ 0x97e213b, "seq_hex_dump" },
	{ 0xfc447ed7, "pci_sriov_get_totalvfs" },
	{ 0xff4af908, "crypto_register_aeads" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbc0068d7, "pci_disable_msi" },
	{ 0xa956d954, "pci_num_vf" },
	{ 0xcd33a405, "class_destroy" },
	{ 0x701ca8ef, "request_firmware" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2ef061b1, "dma_unmap_page_attrs" },
	{ 0xb352177e, "find_first_bit" },
	{ 0x63c4d61f, "__bitmap_weight" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6f32263f, "seq_release" },
	{ 0xfa902d89, "crypto_unregister_kpp" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0xd481d9f5, "crypto_alloc_base" },
	{ 0x59c6aff4, "irq_set_affinity_hint" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0xfd3447de, "__class_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x625565cc, "release_firmware" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6e4b842e, "try_module_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcb9988fa, "pci_save_state" },
	{ 0x4d594301, "crypto_skcipher_encrypt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=authenc";


MODULE_INFO(srcversion, "29731C198E9B3DC9A6863FB");

MODULE_INFO(suserelease, "SLE15-SP3");
