#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0xc2ff5d5, "usbnet_get_stats64" },
	{ 0xb8abc713, "usbnet_tx_timeout" },
	{ 0xdc7dc20d, "usbnet_change_mtu" },
	{ 0x3bc13b6a, "eth_validate_addr" },
	{ 0x9a005f6c, "eth_mac_addr" },
	{ 0x2be38028, "usbnet_start_xmit" },
	{ 0x7baa74b9, "usbnet_stop" },
	{ 0x5e197d5e, "usbnet_open" },
	{ 0xecabb46e, "usbnet_set_link_ksettings" },
	{ 0x6b807a2b, "usbnet_get_link_ksettings" },
	{ 0x296a2e0d, "usbnet_nway_reset" },
	{ 0x2db0bc4d, "usbnet_set_msglevel" },
	{ 0xfa26c555, "usbnet_get_msglevel" },
	{ 0x106e6f8a, "usbnet_resume" },
	{ 0xdec34cec, "usbnet_suspend" },
	{ 0xb46aced7, "usbnet_disconnect" },
	{ 0xd5a9fca9, "usb_deregister" },
	{ 0x61b4656d, "usb_register_driver" },
	{ 0x6b721281, "usbnet_link_change" },
	{ 0xd1d30fda, "usb_control_msg" },
	{ 0xb32eef2e, "__dev_kfree_skb_any" },
	{ 0xf16395e6, "skb_push" },
	{ 0x4d4a7687, "usbnet_status_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x902d1241, "usbnet_status_start" },
	{ 0x10e8a299, "usbnet_probe" },
	{ 0x24d273d1, "add_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1c62c7, "usbnet_write_cmd" },
	{ 0x94284300, "netdev_err" },
	{ 0x6fc57044, "usbnet_skb_return" },
	{ 0x71c5b3c, "skb_trim" },
	{ 0x1f85b24, "skb_clone" },
	{ 0x15b99f63, "skb_pull" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0x6c040d0c, "usbnet_read_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfed9a75, "netif_carrier_off" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0x9c3de93e, "usbnet_get_endpoints" },
	{ 0xf377d9a5, "usbnet_get_drvinfo" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "79024F3EC1EE44C7D105361");

MODULE_INFO(suserelease, "SLE15-SP3");
