#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0xa9b1ce08, "param_ops_bool" },
	{ 0xcadc0be3, "ethtool_op_get_ts_info" },
	{ 0xaad2d07e, "usbnet_get_link" },
	{ 0x296a2e0d, "usbnet_nway_reset" },
	{ 0x2db0bc4d, "usbnet_set_msglevel" },
	{ 0xfa26c555, "usbnet_get_msglevel" },
	{ 0xf377d9a5, "usbnet_get_drvinfo" },
	{ 0xc2ff5d5, "usbnet_get_stats64" },
	{ 0xb8abc713, "usbnet_tx_timeout" },
	{ 0xdc7dc20d, "usbnet_change_mtu" },
	{ 0x3bc13b6a, "eth_validate_addr" },
	{ 0x9a005f6c, "eth_mac_addr" },
	{ 0x2be38028, "usbnet_start_xmit" },
	{ 0x7baa74b9, "usbnet_stop" },
	{ 0x5e197d5e, "usbnet_open" },
	{ 0xb46aced7, "usbnet_disconnect" },
	{ 0x10e8a299, "usbnet_probe" },
	{ 0xd5a9fca9, "usb_deregister" },
	{ 0x61b4656d, "usb_register_driver" },
	{ 0xdec34cec, "usbnet_suspend" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0x9c3de93e, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b721281, "usbnet_link_change" },
	{ 0xe6b4d93f, "usb_autopm_get_interface_no_resume" },
	{ 0x9fa79701, "usb_autopm_put_interface" },
	{ 0x44cfb373, "netdev_info" },
	{ 0x6fc57044, "usbnet_skb_return" },
	{ 0x71c5b3c, "skb_trim" },
	{ 0x1f85b24, "skb_clone" },
	{ 0x15b99f63, "skb_pull" },
	{ 0x106e6f8a, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x860cb183, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0xecabb46e, "usbnet_set_link_ksettings" },
	{ 0x941803b4, "mii_ethtool_gset" },
	{ 0x6c765d60, "mii_check_media" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0415db, "usbnet_read_cmd_nopm" },
	{ 0x6c040d0c, "usbnet_read_cmd" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xf5817512, "usbnet_write_cmd_nopm" },
	{ 0xc1c62c7, "usbnet_write_cmd" },
	{ 0xbd6841d4, "crc16" },
	{ 0x345b5ef3, "generic_mii_ioctl" },
	{ 0x457e69f4, "device_set_wakeup_enable" },
	{ 0x6b807a2b, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7b15ff95, "usbnet_write_cmd_async" },
	{ 0x9cb6e3d, "netdev_warn" },
	{ 0xa62050ec, "__dynamic_netdev_dbg" },
	{ 0x20612e28, "usbnet_defer_kevent" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb32eef2e, "__dev_kfree_skb_any" },
	{ 0xf8cba1e1, "pskb_expand_head" },
	{ 0xf16395e6, "skb_push" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii,crc16";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CA00E4A06D9DA724864262B");

MODULE_INFO(suserelease, "SLE15-SP3");
