#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x696438bf, "mt76x02_remove_interface" },
	{ 0x8e93fac, "mt76x02_mac_start" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0x4f6a56fa, "pcim_enable_device" },
	{ 0xbdd437b6, "__mt76_poll" },
	{ 0x1385bf95, "pcim_iomap_table" },
	{ 0xedb500fd, "mt76_sta_pre_rcu_remove" },
	{ 0xe05e072c, "mt76_sw_scan" },
	{ 0xdac8c4fa, "dma_set_mask" },
	{ 0x600b3e02, "mt76x02_conf_tx" },
	{ 0xed392299, "mt76x02_ampdu_action" },
	{ 0x92e3bb6e, "mt76x02_mcu_cleanup" },
	{ 0x158d85d6, "mt76x02_tx_prepare_skb" },
	{ 0xfe18638, "mt76x02_add_interface" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x91c38309, "mt76x02_bss_info_changed" },
	{ 0x153a9f8a, "mt76x0_init_hardware" },
	{ 0xde86bd10, "mt76x02_mcu_msg_send" },
	{ 0x791fb135, "mt76_sta_state" },
	{ 0x83645b2b, "mt76x02_tx_complete_skb" },
	{ 0xb82b4cbe, "mt76x02_set_rts_threshold" },
	{ 0xf9e78396, "pci_set_master" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0x815df5f3, "mt76_get_survey" },
	{ 0x76bd3a25, "mt76x0_mac_stop" },
	{ 0x75d0fb4, "mt76_unregister_device" },
	{ 0xda4f5c69, "mt76x02_sta_add" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x3b7b401, "mt76x02_sta_remove" },
	{ 0x480c83ca, "mt76_mmio_init" },
	{ 0x1336ed26, "mt76x02_tx" },
	{ 0xa851aaf1, "__mt76_poll_msec" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x90ab18b, "mt76x02_sw_scan_complete" },
	{ 0x9ee8908f, "mt76_set_tim" },
	{ 0x7b7bdc92, "mt76x0_phy_calibrate" },
	{ 0xc3ab0f9d, "mt76x02_rx_poll_complete" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0xa4e982db, "mt76x0_register_device" },
	{ 0x6f8fba08, "mt76x0_config" },
	{ 0xce36fb01, "ieee80211_queue_delayed_work" },
	{ 0x22739544, "pcim_iomap_regions" },
	{ 0x2d38b37d, "mt76x02_queue_rx_skb" },
	{ 0x8a76dd6b, "mt76x0_chip_onoff" },
	{ 0x139d3de5, "mt76_free_device" },
	{ 0x1df51051, "mt76x02_configure_filter" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0x12a38747, "usleep_range" },
	{ 0x78887c01, "mt76x02_update_channel" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xc5ff7edd, "mt76x02_set_coverage_class" },
	{ 0x5230f3d, "mt76_alloc_device" },
	{ 0x8e3d4d6f, "mt76x02_reconfig_complete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68432818, "pci_unregister_driver" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0x4cdc9795, "mt76x02_dma_cleanup" },
	{ 0x96f65fe9, "mt76x02_sta_rate_tbl_update" },
	{ 0xfa1740f, "mt76x02_sta_ps" },
	{ 0x630144c2, "mt76_get_antenna" },
	{ 0x5cf6510f, "mt76x02e_init_beacon_config" },
	{ 0x7b6a200a, "mt76_wake_tx_queue" },
	{ 0x7b36a969, "mt76x02_dma_disable" },
	{ 0xc682c1fa, "__pci_register_driver" },
	{ 0xe29b15ce, "mt76_get_txpower" },
	{ 0x701ca8ef, "request_firmware" },
	{ 0x5f17a66f, "mt76_release_buffered_frames" },
	{ 0x1d6fc92f, "mt76x02_set_key" },
	{ 0xa1b33fdc, "mt76x02_set_ethtool_fwver" },
	{ 0xcf19bba2, "devm_request_threaded_irq" },
	{ 0x625565cc, "release_firmware" },
	{ 0x8b8c27fe, "mt76x02_dma_init" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76x0-common,mac80211";

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FCC757745B97B1BEDAFB75E");

MODULE_INFO(suserelease, "SLE15-SP3");
