#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x696438bf, "mt76x02_remove_interface" },
	{ 0xbdd437b6, "__mt76_poll" },
	{ 0xedb500fd, "mt76_sta_pre_rcu_remove" },
	{ 0xe05e072c, "mt76_sw_scan" },
	{ 0x600b3e02, "mt76x02_conf_tx" },
	{ 0xed392299, "mt76x02_ampdu_action" },
	{ 0x31c73d32, "mt76u_stop_rx" },
	{ 0xe186e819, "mt76x02u_exit_beacon_config" },
	{ 0xfe18638, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6c5f8376, "mt76u_vendor_request" },
	{ 0xae449018, "ieee80211_unregister_hw" },
	{ 0xf3acb285, "mt76x02u_init_beacon_config" },
	{ 0xa701df88, "mt76u_stop_tx" },
	{ 0x1d62b5de, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x91c38309, "mt76x02_bss_info_changed" },
	{ 0xe71c06c0, "mt76x02u_mac_start" },
	{ 0x153a9f8a, "mt76x0_init_hardware" },
	{ 0x791fb135, "mt76_sta_state" },
	{ 0xb82b4cbe, "mt76x02_set_rts_threshold" },
	{ 0xad1c78cf, "mt76x02u_tx_prepare_skb" },
	{ 0x3808062a, "mt76x02u_init_mcu" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0x815df5f3, "mt76_get_survey" },
	{ 0x6cdd9def, "mt76u_init" },
	{ 0xe26ebb28, "mt76x02u_mcu_fw_send_data" },
	{ 0x76bd3a25, "mt76x0_mac_stop" },
	{ 0xda4f5c69, "mt76x02_sta_add" },
	{ 0x74f21439, "mt76x02_tx_status_data" },
	{ 0xd5a9fca9, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x3b7b401, "mt76x02_sta_remove" },
	{ 0x1336ed26, "mt76x02_tx" },
	{ 0xa851aaf1, "__mt76_poll_msec" },
	{ 0x90ab18b, "mt76x02_sw_scan_complete" },
	{ 0x9ee8908f, "mt76_set_tim" },
	{ 0x7b7bdc92, "mt76x0_phy_calibrate" },
	{ 0x24d5fa87, "mt76x02u_mcu_fw_reset" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0xa4e982db, "mt76x0_register_device" },
	{ 0x6f8fba08, "mt76x0_config" },
	{ 0xce36fb01, "ieee80211_queue_delayed_work" },
	{ 0xadb91bd8, "mt76u_queues_deinit" },
	{ 0x2d38b37d, "mt76x02_queue_rx_skb" },
	{ 0x8a76dd6b, "mt76x0_chip_onoff" },
	{ 0x139d3de5, "mt76_free_device" },
	{ 0x1df51051, "mt76x02_configure_filter" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0xdb76530, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0x78887c01, "mt76x02_update_channel" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x847904b9, "usb_reset_device" },
	{ 0xa35373cf, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x5230f3d, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0x96f65fe9, "mt76x02_sta_rate_tbl_update" },
	{ 0x343763a9, "mt76u_resume_rx" },
	{ 0xfa1740f, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x630144c2, "mt76_get_antenna" },
	{ 0x7b6a200a, "mt76_wake_tx_queue" },
	{ 0xe29b15ce, "mt76_get_txpower" },
	{ 0x61b4656d, "usb_register_driver" },
	{ 0x701ca8ef, "request_firmware" },
	{ 0x5f17a66f, "mt76_release_buffered_frames" },
	{ 0x1d6fc92f, "mt76x02_set_key" },
	{ 0xf5f8dd6b, "firmware_request_nowarn" },
	{ 0x8fb686e8, "devm_kmalloc" },
	{ 0x625565cc, "release_firmware" },
	{ 0xd4bf198b, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "EE8F258F449F08CA957AD96");

MODULE_INFO(suserelease, "SLE15-SP3");
