#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x991c65b0, "param_ops_string" },
	{ 0x29500fd, "param_ops_int" },
	{ 0xc2ff5d5, "usbnet_get_stats64" },
	{ 0xb8abc713, "usbnet_tx_timeout" },
	{ 0x3bc13b6a, "eth_validate_addr" },
	{ 0x9a005f6c, "eth_mac_addr" },
	{ 0x2be38028, "usbnet_start_xmit" },
	{ 0x7baa74b9, "usbnet_stop" },
	{ 0x5e197d5e, "usbnet_open" },
	{ 0x47d91b35, "rndis_tx_fixup" },
	{ 0x5447ec14, "rndis_rx_fixup" },
	{ 0xe048c359, "rndis_status" },
	{ 0x106e6f8a, "usbnet_resume" },
	{ 0xdec34cec, "usbnet_suspend" },
	{ 0xb46aced7, "usbnet_disconnect" },
	{ 0x10e8a299, "usbnet_probe" },
	{ 0xd5a9fca9, "usb_deregister" },
	{ 0x61b4656d, "usb_register_driver" },
	{ 0x901a0064, "wiphy_register" },
	{ 0x26548489, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xcc65f14d, "wiphy_new_nm" },
	{ 0x94284300, "netdev_err" },
	{ 0x2117fe7b, "usbnet_purge_paused_rxq" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc1b99792, "ieee80211_channel_to_freq_khz" },
	{ 0xfed9a75, "netif_carrier_off" },
	{ 0xf20da679, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0x37f48fb7, "cfg80211_ibss_joined" },
	{ 0xa38f0ba, "cfg80211_roamed" },
	{ 0x22c0e477, "netif_carrier_on" },
	{ 0x3cf184c7, "usbnet_resume_rx" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x74bf4939, "cfg80211_cqm_rssi_notify" },
	{ 0x6021726a, "cfg80211_put_bss" },
	{ 0xa84fea33, "ieee80211_get_channel_khz" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x4629334c, "__preempt_count" },
	{ 0x3109ed5a, "cfg80211_scan_done" },
	{ 0x16c94f68, "wiphy_free" },
	{ 0x1d808775, "wiphy_unregister" },
	{ 0x982cbcd2, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9cb6e3d, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xe2fea6e3, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa4fe80db, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xfb8b97b6, "cfg80211_connect_done" },
	{ 0x2a64954d, "usbnet_pause_rx" },
	{ 0x1d2dda47, "cfg80211_michael_mic_failure" },
	{ 0xa62050ec, "__dynamic_netdev_dbg" },
	{ 0xaf424a90, "cfg80211_pmksa_candidate_notify" },
	{ 0x44cfb373, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "6146B9093F7565359CCA300");

MODULE_INFO(suserelease, "SLE15-SP3");
