#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x693c9e6b, "driver_unregister" },
	{ 0xb5f0bc22, "uart_unregister_driver" },
	{ 0x68541c57, "i2c_del_driver" },
	{ 0xb7b3ebf4, "__spi_register_driver" },
	{ 0xc8dbe42, "i2c_register_driver" },
	{ 0xc5850110, "printk" },
	{ 0x828f33f0, "uart_register_driver" },
	{ 0xb8873c1b, "__devm_regmap_init_i2c" },
	{ 0xda67b026, "spi_get_device_id" },
	{ 0x77316109, "__devm_regmap_init_spi" },
	{ 0x4d96a079, "device_get_match_data" },
	{ 0xf6df0331, "spi_setup" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0xcf19bba2, "devm_request_threaded_irq" },
	{ 0xf67dde08, "uart_add_one_port" },
	{ 0xc87fc1c4, "gpiochip_remove" },
	{ 0xf49b3679, "uart_remove_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x708a8155, "kthread_stop" },
	{ 0x8518bd09, "gpiochip_add_data_with_key" },
	{ 0x89b89e3f, "sched_setscheduler" },
	{ 0x9e653cae, "wake_up_process" },
	{ 0x7a72fff, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x7eb8cff, "__kthread_init_worker" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb4121eb7, "devm_clk_get" },
	{ 0x34eb9b96, "device_property_read_u32_array" },
	{ 0x8fb686e8, "devm_kmalloc" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x25e66b86, "_dev_warn" },
	{ 0xefbe77fd, "do_SAK" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x5db4b28d, "tty_flip_buffer_push" },
	{ 0xc2c7874f, "uart_insert_char" },
	{ 0x8b35e00f, "regmap_raw_read" },
	{ 0x728d6d9f, "gpiochip_get_data" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbc370067, "uart_update_timeout" },
	{ 0xffd7838c, "uart_get_baud_rate" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6b51a1b2, "uart_write_wakeup" },
	{ 0x801c3d3b, "regmap_raw_write" },
	{ 0x894cdb6e, "regcache_cache_bypass" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x76806859, "regmap_read" },
	{ 0xc7f9873c, "_dev_err" },
	{ 0x6e701e7e, "kthread_queue_work" },
	{ 0x1bec97cd, "kthread_flush_worker" },
	{ 0x6659ed2b, "regmap_write" },
	{ 0xa055a62d, "regmap_update_bits_base" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "17C090287E4439D8C84DEBE");

MODULE_INFO(suserelease, "SLE15-SP3");
