#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52f0075, "module_layout" },
	{ 0x96a6bb35, "kmalloc_caches" },
	{ 0xe806c70f, "snd_hda_gen_add_mute_led_cdev" },
	{ 0x22d6785c, "snd_hda_gen_free" },
	{ 0x2691edd5, "snd_hda_codec_get_pin_target" },
	{ 0x1cf26af4, "snd_hda_mixer_amp_volume_put" },
	{ 0xcc83b9c5, "snd_hda_input_mux_info" },
	{ 0x11167c4b, "snd_hda_gen_parse_auto_config" },
	{ 0xcfb30c77, "snd_hda_apply_fixup" },
	{ 0x36438ec3, "snd_hda_pick_fixup" },
	{ 0x782ecf34, "snd_hda_mixer_amp_tlv" },
	{ 0x242cb101, "snd_hda_gen_build_pcms" },
	{ 0x3203c1eb, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x525ac6cc, "snd_hda_gen_update_outputs" },
	{ 0x8f0987ae, "snd_hda_get_path_from_idx" },
	{ 0xd31f1795, "snd_hda_mixer_amp_volume_get" },
	{ 0xd55520fb, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0xec4de10d, "snd_hda_gen_check_power_status" },
	{ 0x80159ad0, "snd_hda_codec_set_pin_target" },
	{ 0xd2d6e21e, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xa9c32c8c, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x88de9ea9, "snd_hda_activate_path" },
	{ 0xe1da2c71, "snd_hda_gen_init" },
	{ 0x6d26385f, "snd_hda_parse_pin_defcfg" },
	{ 0x3799a92e, "snd_hda_jack_set_gating_jack" },
	{ 0x3965f8a4, "__hda_codec_driver_register" },
	{ 0x6889fad, "snd_hda_override_amp_caps" },
	{ 0x98e5bb47, "snd_ctl_boolean_mono_info" },
	{ 0xeec7e5ef, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x83669d75, "_snd_hdac_read_parm" },
	{ 0xbf8af7a1, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x50798a1c, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4fc1251f, "kmem_cache_alloc_trace" },
	{ 0xa5250af5, "__dynamic_dev_dbg" },
	{ 0x14130f5, "snd_hda_gen_add_kctl" },
	{ 0x4894a3e0, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x13aeef1b, "snd_hdac_codec_write" },
	{ 0x2d489c42, "snd_hda_add_new_path" },
	{ 0x864b5bd3, "hda_codec_driver_unregister" },
	{ 0xfd5d3126, "snd_hda_mixer_amp_switch_info" },
	{ 0xf31a4220, "snd_hda_gen_spec_init" },
	{ 0xd4fb8264, "snd_hda_jack_detect_state_mst" },
	{ 0x5df4ca39, "snd_hdac_regmap_read_raw" },
	{ 0xce54956e, "snd_hda_mixer_amp_volume_info" },
	{ 0xca6d3ff8, "query_amp_caps" },
	{ 0xe9d709c4, "snd_hda_gen_mic_autoswitch" },
	{ 0xeaa6c8f2, "snd_hda_gen_build_controls" },
	{ 0x45809f0, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "2B97A10F91CDAEF390D294B");

MODULE_INFO(suserelease, "SLE15-SP3");
